diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -5403,66 +5407,66 @@ BP
 2.5 E F1($else)108 141.6 Q F0(Commands in this branch of the)144 141.6 Q
 F1($if)2.5 E F0(directi)2.5 E .3 -.15(ve a)-.25 H(re e).15 E -.15(xe)
 -.15 G(cuted if the test f).15 E(ails.)-.1 E F1($include)108 158.4 Q F0
-.356(This directi)144 170.4 R .656 -.15(ve t)-.25 H(ak).15 E .356
-(es a single \214lename as an ar)-.1 F .357
+.357(This directi)144 170.4 R .657 -.15(ve t)-.25 H(ak).15 E .357
+(es a single \214lename as an ar)-.1 F .356
 (gument and reads commands and bindings from that)-.18 F 2.5(\214le. F)
 144 182.4 R(or e)-.15 E(xample, the follo)-.15 E(wing directi)-.25 E .3
 -.15(ve w)-.25 H(ould read).05 E/F2 10/Times-Italic@0 SF(/etc/inputr)2.5
 E(c)-.37 E F0(:)A F1($include)144 206.4 Q F2(/etc/inputr)5.833 E(c)-.37
-E F1(Sear)87 223.2 Q(ching)-.18 E F0 .835(Readline pro)108 235.2 R .835
+E F1(Sear)87 223.2 Q(ching)-.18 E F0 .834(Readline pro)108 235.2 R .834
 (vides commands for searching through the command history \(see)-.15 F
-/F3 9/Times-Bold@0 SF(HIST)3.334 E(OR)-.162 E(Y)-.315 E F0(belo)3.084 E
-.834(w\) for lines)-.25 F(containing a speci\214ed string.)108 247.2 Q
+/F3 9/Times-Bold@0 SF(HIST)3.335 E(OR)-.162 E(Y)-.315 E F0(belo)3.085 E
+.835(w\) for lines)-.25 F(containing a speci\214ed string.)108 247.2 Q
 (There are tw)5 E 2.5(os)-.1 G(earch modes:)-2.5 E F2(incr)2.51 E
 (emental)-.37 E F0(and)3.01 E F2(non-incr)2.5 E(emental)-.37 E F0(.).51
-E .697(Incremental searches be)108 264 R .697
+E .698(Incremental searches be)108 264 R .698
 (gin before the user has \214nished typing the search string.)-.15 F
-.698(As each character of the)5.698 F .113
+.697(As each character of the)5.697 F .112
 (search string is typed, readline displays the ne)108 276 R .112
 (xt entry from the history matching the string typed so f)-.15 F(ar)-.1
-E 5.112(.A)-.55 G(n)-5.112 E .542
+E 5.113(.A)-.55 G(n)-5.113 E .542
 (incremental search requires only as man)108 288 R 3.042(yc)-.15 G .542
-(haracters as needed to \214nd the desired history entry)-3.042 F 5.542
-(.T)-.65 G .542(he char)-5.542 F(-)-.2 E .224(acters present in the v)
+(haracters as needed to \214nd the desired history entry)-3.042 F 5.541
+(.T)-.65 G .541(he char)-5.541 F(-)-.2 E .224(acters present in the v)
 108 300 R .224(alue of the)-.25 F F1(isear)2.724 E(ch-terminators)-.18 E
 F0 -.25(va)2.724 G .224
 (riable are used to terminate an incremental search.).25 F .66
 (If that v)108 312 R .66(ariable has not been assigned a v)-.25 F .66
 (alue the Escape and Control-J characters will terminate an incre-)-.25
-F .097(mental search.)108 324 R .096(Control-G will abort an incrementa\
-l search and restore the original line.)5.097 F .096(When the search is)
-5.096 F(terminated, the history entry containing the search string beco\
-mes the current line.)108 336 Q 2.938 -.8(To \214)108 352.8 T 1.339(nd \
+F .096(mental search.)108 324 R .096(Control-G will abort an incrementa\
+l search and restore the original line.)5.096 F .097(When the search is)
+5.097 F(terminated, the history entry containing the search string beco\
+mes the current line.)108 336 Q 2.939 -.8(To \214)108 352.8 T 1.339(nd \
 other matching entries in the history list, type Control-S or Control-R\
- as appropriate.).8 F 1.339(This will)6.339 F .675(search backw)108
-364.8 R .675(ard or forw)-.1 F .675(ard in the history for the ne)-.1 F
-.674(xt entry matching the search string typed so f)-.15 F(ar)-.1 E
-5.674(.A)-.55 G -.15(ny)-5.674 G .174(other k)108 376.8 R .474 -.15
+ as appropriate.).8 F 1.338(This will)6.338 F .674(search backw)108
+364.8 R .674(ard or forw)-.1 F .674(ard in the history for the ne)-.1 F
+.675(xt entry matching the search string typed so f)-.15 F(ar)-.1 E
+5.675(.A)-.55 G -.15(ny)-5.675 G .175(other k)108 376.8 R .475 -.15
 (ey s)-.1 H .174
 (equence bound to a readline command will terminate the search and e).15
-F -.15(xe)-.15 G .175(cute that command.).15 F -.15(Fo)5.175 G(r).15 E
-.541(instance, a)108 388.8 R F2(ne)3.041 E(wline)-.15 E F0 .541
-(will terminate the search and accept the line, thereby e)3.041 F -.15
-(xe)-.15 G .54(cuting the command from the).15 F(history list.)108 400.8
-Q .653(Readline remembers the last incremental search string.)108 417.6
-R .653(If tw)5.653 F 3.153(oC)-.1 G .653(ontrol-Rs are typed without an)
--3.153 F 3.153(yi)-.15 G(nterv)-3.153 E(en-)-.15 E
-(ing characters de\214ning a ne)108 429.6 Q 2.5(ws)-.25 G
+F -.15(xe)-.15 G .174(cute that command.).15 F -.15(Fo)5.174 G(r).15 E
+.54(instance, a)108 388.8 R F2(ne)3.04 E(wline)-.15 E F0 .541
+(will terminate the search and accept the line, thereby e)3.04 F -.15
+(xe)-.15 G .541(cuting the command from the).15 F(history list.)108
+400.8 Q .653(Readline remembers the last incremental search string.)108
+417.6 R .653(If tw)5.653 F 3.153(oC)-.1 G .653
+(ontrol-Rs are typed without an)-3.153 F 3.152(yi)-.15 G(nterv)-3.152 E
+(en-)-.15 E(ing characters de\214ning a ne)108 429.6 Q 2.5(ws)-.25 G
 (earch string, an)-2.5 E 2.5(yr)-.15 G(emembered search string is used.)
 -2.5 E .567(Non-incremental searches read the entire search string befo\
 re starting to search for matching history lines.)108 446.4 R(The searc\
 h string may be typed by the user or be part of the contents of the cur\
-rent line.)108 458.4 Q F1(Readline Command Names)87 475.2 Q F0 1.391
+rent line.)108 458.4 Q F1(Readline Command Names)87 475.2 Q F0 1.392
 (The follo)108 487.2 R 1.391
 (wing is a list of the names of the commands and the def)-.25 F 1.391
 (ault k)-.1 F 1.691 -.15(ey s)-.1 H 1.391(equences to which the).15 F
-3.892(ya)-.15 G(re)-3.892 E 2.622(bound. Command)108 499.2 R .122
-(names without an accompan)2.622 F .122(ying k)-.15 F .421 -.15(ey s)-.1
-H .121(equence are unbound by def).15 F 2.621(ault. In)-.1 F .121
-(the follo)2.621 F(wing)-.25 E(descriptions,)108 511.2 Q F2(point)3.41 E
-F0 .91(refers to the current cursor position, and)3.41 F F2(mark)3.411 E
-F0 .911(refers to a cursor position sa)3.411 F -.15(ve)-.2 G 3.411(db)
-.15 G 3.411(yt)-3.411 G(he)-3.411 E F1(set\255mark)108 523.2 Q F0 2.5
+3.891(ya)-.15 G(re)-3.891 E 2.621(bound. Command)108 499.2 R .121
+(names without an accompan)2.621 F .121(ying k)-.15 F .421 -.15(ey s)-.1
+H .122(equence are unbound by def).15 F 2.622(ault. In)-.1 F .122
+(the follo)2.622 F(wing)-.25 E(descriptions,)108 511.2 Q F2(point)3.411
+E F0 .911(refers to the current cursor position, and)3.411 F F2(mark)
+3.411 E F0 .91(refers to a cursor position sa)3.411 F -.15(ve)-.2 G 3.41
+(db).15 G 3.41(yt)-3.41 G(he)-3.41 E F1(set\255mark)108 523.2 Q F0 2.5
 (command. The)2.5 F(te)2.5 E
 (xt between the point and mark is referred to as the)-.15 E F2 -.37(re)
 2.5 G(gion)-.03 E F0(.)A F1(Commands f)87 540 Q(or Mo)-.25 E(ving)-.1 E
@@ -5474,15 +5478,15 @@ F0 .911(refers to a cursor position sa)3.411 F -.15(ve)-.2 G 3.411(db)
 .15 E(ard a character)-.1 E(.)-.55 E F1(backward\255char \(C\255b\))108
 624 Q F0(Mo)144 636 Q .3 -.15(ve b)-.15 H(ack a character).15 E(.)-.55 E
 F1 -.25(fo)108 648 S(rward\255w).25 E(ord \(M\255f\))-.1 E F0(Mo)144 660
-Q .823 -.15(ve f)-.15 H(orw).15 E .523(ard to the end of the ne)-.1 F
-.523(xt w)-.15 F 3.023(ord. W)-.1 F .522
+Q .822 -.15(ve f)-.15 H(orw).15 E .522(ard to the end of the ne)-.1 F
+.523(xt w)-.15 F 3.023(ord. W)-.1 F .523
 (ords are composed of alphanumeric characters \(let-)-.8 F
 (ters and digits\).)144 672 Q F1(backward\255w)108 684 Q(ord \(M\255b\))
 -.1 E F0(Mo)144 696 Q 1.71 -.15(ve b)-.15 H 1.41
 (ack to the start of the current or pre).15 F 1.41(vious w)-.25 F 3.91
 (ord. W)-.1 F 1.41(ords are composed of alphanumeric)-.8 F
 (characters \(letters and digits\).)144 708 Q(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(44)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(44)192.895 E 0 Cg EP
 %%Page: 45 45
 %%BeginPageSetup
 BP
@@ -5493,25 +5497,25 @@ SF(shell\255f)108 84 Q(orward\255w)-.25 E(ord)-.1 E F0(Mo)144 96 Q .784
 -.15(ve f)-.15 H(orw).15 E .484(ard to the end of the ne)-.1 F .484
 (xt w)-.15 F 2.984(ord. W)-.1 F .484
 (ords are delimited by non-quoted shell metacharac-)-.8 F(ters.)144 108
-Q F1(shell\255backward\255w)108 120 Q(ord)-.1 E F0(Mo)144 132 Q .908
+Q F1(shell\255backward\255w)108 120 Q(ord)-.1 E F0(Mo)144 132 Q .909
 -.15(ve b)-.15 H .609(ack to the start of the current or pre).15 F .609
-(vious w)-.25 F 3.109(ord. W)-.1 F .609
+(vious w)-.25 F 3.109(ord. W)-.1 F .608
 (ords are delimited by non-quoted shell)-.8 F(metacharacters.)144 144 Q
 F1(pr)108 156 Q -.15(ev)-.18 G(ious\255scr).15 E(een\255line)-.18 E F0
-.891(Attempt to mo)144 168 R 1.191 -.15(ve p)-.15 H .891
+.89(Attempt to mo)144 168 R 1.19 -.15(ve p)-.15 H .89
 (oint to the same ph).15 F .891(ysical screen column on the pre)-.05 F
-.89(vious ph)-.25 F .89(ysical screen line.)-.05 F .87(This will not ha)
-144 180 R 1.17 -.15(ve t)-.2 H .87(he desired ef).15 F .87
-(fect if the current Readline line does not tak)-.25 F 3.37(eu)-.1 G
+.891(vious ph)-.25 F .891(ysical screen line.)-.05 F .87
+(This will not ha)144 180 R 1.17 -.15(ve t)-.2 H .87(he desired ef).15 F
+.87(fect if the current Readline line does not tak)-.25 F 3.37(eu)-.1 G
 3.37(pm)-3.37 G .87(ore than one)-3.37 F(ph)144 192 Q(ysical line or if\
  point is not greater than the length of the prompt plus the screen wid\
-th.)-.05 E F1(next\255scr)108 204 Q(een\255line)-.18 E F0 .638
-(Attempt to mo)144 216 R .938 -.15(ve p)-.15 H .638(oint to the same ph)
-.15 F .637(ysical screen column on the ne)-.05 F .637(xt ph)-.15 F .637
-(ysical screen line. This)-.05 F .008(will not ha)144 228 R .309 -.15
+th.)-.05 E F1(next\255scr)108 204 Q(een\255line)-.18 E F0 .637
+(Attempt to mo)144 216 R .937 -.15(ve p)-.15 H .637(oint to the same ph)
+.15 F .638(ysical screen column on the ne)-.05 F .638(xt ph)-.15 F .638
+(ysical screen line. This)-.05 F .009(will not ha)144 228 R .309 -.15
 (ve t)-.2 H .009(he desired ef).15 F .009
 (fect if the current Readline line does not tak)-.25 F 2.509(eu)-.1 G
-2.509(pm)-2.509 G .009(ore than one ph)-2.509 F(ysical)-.05 E .772(line\
+2.509(pm)-2.509 G .008(ore than one ph)-2.509 F(ysical)-.05 E .772(line\
  or if the length of the current Readline line is not greater than the \
 length of the prompt plus)144 240 R(the screen width.)144 252 Q F1
 (clear\255scr)108 264 Q(een \(C\255l\))-.18 E F0 .993
@@ -5521,10 +5525,10 @@ length of the prompt plus)144 240 R(the screen width.)144 252 Q F1
 (current line without clearing the screen.)144 288 Q F1 -.18(re)108 300
 S(draw\255curr).18 E(ent\255line)-.18 E F0(Refresh the current line.)144
 312 Q F1(Commands f)87 328.8 Q(or Manipulating the History)-.25 E
-(accept\255line \(Newline, Retur)108 340.8 Q(n\))-.15 E F0 .159
-(Accept the line re)144 352.8 R -.05(ga)-.15 G .159
+(accept\255line \(Newline, Retur)108 340.8 Q(n\))-.15 E F0 .158
+(Accept the line re)144 352.8 R -.05(ga)-.15 G .158
 (rdless of where the cursor is.).05 F .158(If this line is non-empty)
-5.158 F 2.658(,a)-.65 G .158(dd it to the history list)-2.658 F .699
+5.158 F 2.659(,a)-.65 G .159(dd it to the history list)-2.659 F .699
 (according to the state of the)144 364.8 R/F2 9/Times-Bold@0 SF
 (HISTCONTR)3.199 E(OL)-.27 E F0 -.25(va)2.949 G 3.199(riable. If).25 F
 .699(the line is a modi\214ed history line, then)3.199 F
@@ -5540,36 +5544,36 @@ E(ving forw)-.15 E(ard in the list.)-.1 E F1
 .3 -.15(ve t)-.15 H 2.5(ot).15 G(he end of the input history)-2.5 E 2.5
 (,i)-.65 G(.e., the line currently being entered.)-2.5 E F1 -2.29 -.18
 (re v)108 484.8 T(erse\255sear).08 E(ch\255history \(C\255r\))-.18 E F0
-1.471(Search backw)144 496.8 R 1.471
-(ard starting at the current line and mo)-.1 F 1.47
+1.47(Search backw)144 496.8 R 1.471
+(ard starting at the current line and mo)-.1 F 1.471
 (ving `up' through the history as necessary)-.15 F(.)-.65 E
 (This is an incremental search.)144 508.8 Q F1 -.25(fo)108 520.8 S
-(rward\255sear).25 E(ch\255history \(C\255s\))-.18 E F0 1.131
-(Search forw)144 532.8 R 1.131(ard starting at the current line and mo)
--.1 F 1.132(ving `do)-.15 F 1.132(wn' through the history as necessary)
+(rward\255sear).25 E(ch\255history \(C\255s\))-.18 E F0 1.132
+(Search forw)144 532.8 R 1.132(ard starting at the current line and mo)
+-.1 F 1.131(ving `do)-.15 F 1.131(wn' through the history as necessary)
 -.25 F(.)-.65 E(This is an incremental search.)144 544.8 Q F1
 (non\255incr)108 556.8 Q(emental\255r)-.18 E -2.3 -.15(ev e)-.18 H
-(rse\255sear).15 E(ch\255history \(M\255p\))-.18 E F0 .165(Search backw)
+(rse\255sear).15 E(ch\255history \(M\255p\))-.18 E F0 .164(Search backw)
 144 568.8 R .164(ard through the history starting at the current line u\
 sing a non-incremental search for)-.1 F 2.5(as)144 580.8 S
 (tring supplied by the user)-2.5 E(.)-.55 E F1(non\255incr)108 592.8 Q
 (emental\255f)-.18 E(orward\255sear)-.25 E(ch\255history \(M\255n\))-.18
-E F0 1.353(Search forw)144 604.8 R 1.354(ard through the history using \
+E F0 1.354(Search forw)144 604.8 R 1.354(ard through the history using \
 a non-incremental search for a string supplied by the)-.1 F(user)144
 616.8 Q(.)-.55 E F1(history\255sear)108 628.8 Q(ch\255f)-.18 E(orward)
--.25 E F0 .249(Search forw)144 640.8 R .249(ard through the history for\
+-.25 E F0 .248(Search forw)144 640.8 R .249(ard through the history for\
  the string of characters between the start of the current line)-.1 F
 (and the point.)144 652.8 Q(This is a non-incremental search.)5 E F1
-(history\255sear)108 664.8 Q(ch\255backward)-.18 E F0 .95(Search backw)
+(history\255sear)108 664.8 Q(ch\255backward)-.18 E F0 .951(Search backw)
 144 676.8 R .951(ard through the history for the string of characters b\
 etween the start of the current)-.1 F(line and the point.)144 688.8 Q
 (This is a non-incremental search.)5 E F1(history\255substring\255sear)
-108 700.8 Q(ch\255backward)-.18 E F0 .951(Search backw)144 712.8 R .951
-(ard through the history for the string of characters between the start\
- of the current)-.1 F .007(line and the current cursor position \(the)
-144 724.8 R/F3 10/Times-Italic@0 SF(point)2.507 E F0 2.507(\). The)B
-.007(search string may match an)2.507 F .007(ywhere in a history)-.15 F
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(45)197.335 E 0 Cg EP
+108 700.8 Q(ch\255backward)-.18 E F0 .95(Search backw)144 712.8 R .951(\
+ard through the history for the string of characters between the start \
+of the current)-.1 F .007(line and the current cursor position \(the)144
+724.8 R/F3 10/Times-Italic@0 SF(point)2.507 E F0 2.507(\). The)B .007
+(search string may match an)2.507 F .006(ywhere in a history)-.15 F
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(45)192.895 E 0 Cg EP
 %%Page: 46 46
 %%BeginPageSetup
 BP
@@ -5578,77 +5582,77 @@ BP
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E 2.5(line. This)144
 84 R(is a non-incremental search.)2.5 E/F1 10/Times-Bold@0 SF
 (history\255substring\255sear)108 96 Q(ch\255f)-.18 E(orward)-.25 E F0
-.249(Search forw)144 108 R .249(ard through the history for the string \
-of characters between the start of the current line)-.1 F .318
-(and the point.)144 120 R .319(The search string may match an)5.318 F
-.319(ywhere in a history line.)-.15 F .319(This is a non-incremental)
-5.319 F(search.)144 132 Q F1(yank\255nth\255ar)108 144 Q 2.5(g\()-.1 G
+.248(Search forw)144 108 R .249(ard through the history for the string \
+of characters between the start of the current line)-.1 F .319
+(and the point.)144 120 R .319(The search string may match an)5.319 F
+.319(ywhere in a history line.)-.15 F .318(This is a non-incremental)
+5.318 F(search.)144 132 Q F1(yank\255nth\255ar)108 144 Q 2.5(g\()-.1 G
 <4dad43ad7929>-2.5 E F0 .622(Insert the \214rst ar)144 156 R .622
 (gument to the pre)-.18 F .622(vious command \(usually the second w)-.25
-F .622(ord on the pre)-.1 F .622(vious line\))-.25 F .794(at point.)144
-168 R -.4(Wi)5.794 G .794(th an ar).4 F(gument)-.18 E/F2 10
+F .622(ord on the pre)-.1 F .622(vious line\))-.25 F .795(at point.)144
+168 R -.4(Wi)5.795 G .794(th an ar).4 F(gument)-.18 E/F2 10
 /Times-Italic@0 SF(n)3.294 E F0 3.294(,i).24 G .794(nsert the)-3.294 F
 F2(n)3.294 E F0 .794(th w)B .794(ord from the pre)-.1 F .794
-(vious command \(the w)-.25 F .795(ords in the)-.1 F(pre)144 180 Q .292
-(vious command be)-.25 F .292(gin with w)-.15 F .291(ord 0\).)-.1 F
+(vious command \(the w)-.25 F .794(ords in the)-.1 F(pre)144 180 Q .291
+(vious command be)-.25 F .291(gin with w)-.15 F .291(ord 0\).)-.1 F
 2.791(An)5.291 G -2.25 -.15(eg a)-2.791 H(ti).15 E .591 -.15(ve a)-.25 H
 -.18(rg).15 G .291(ument inserts the).18 F F2(n)2.791 E F0 .291(th w)B
-.291(ord from the end of)-.1 F .281(the pre)144 192 R .281
-(vious command.)-.25 F .281(Once the ar)5.281 F(gument)-.18 E F2(n)2.781
-E F0 .281(is computed, the ar)2.781 F .281(gument is e)-.18 F .282
+.292(ord from the end of)-.1 F .282(the pre)144 192 R .282
+(vious command.)-.25 F .282(Once the ar)5.282 F(gument)-.18 E F2(n)2.781
+E F0 .281(is computed, the ar)2.781 F .281(gument is e)-.18 F .281
 (xtracted as if the "!)-.15 F F2(n)A F0(")A(history e)144 204 Q
 (xpansion had been speci\214ed.)-.15 E F1(yank\255last\255ar)108 216 Q
-2.5(g\()-.1 G -1.667(M\255. ,)-2.5 F -1.667(M\255_ \))2.5 F F0 1.308
-(Insert the last ar)144 228 R 1.308(gument to the pre)-.18 F 1.307
-(vious command \(the last w)-.25 F 1.307(ord of the pre)-.1 F 1.307
-(vious history entry\).)-.25 F -.4(Wi)144 240 S .203(th a numeric ar).4
-F .203(gument, beha)-.18 F .504 -.15(ve ex)-.2 H .204(actly lik).15 F(e)
--.1 E F1(yank\255nth\255ar)2.704 E(g)-.1 E F0 5.204(.S)C(uccessi)-5.204
-E .504 -.15(ve c)-.25 H .204(alls to).15 F F1(yank\255last\255ar)2.704 E
-(g)-.1 E F0(mo)144 252 Q .807 -.15(ve b)-.15 H .507
+2.5(g\()-.1 G -1.667(M\255. ,)-2.5 F -1.667(M\255_ \))2.5 F F0 1.307
+(Insert the last ar)144 228 R 1.307(gument to the pre)-.18 F 1.307
+(vious command \(the last w)-.25 F 1.308(ord of the pre)-.1 F 1.308
+(vious history entry\).)-.25 F -.4(Wi)144 240 S .204(th a numeric ar).4
+F .204(gument, beha)-.18 F .504 -.15(ve ex)-.2 H .204(actly lik).15 F(e)
+-.1 E F1(yank\255nth\255ar)2.704 E(g)-.1 E F0 5.203(.S)C(uccessi)-5.203
+E .503 -.15(ve c)-.25 H .203(alls to).15 F F1(yank\255last\255ar)2.703 E
+(g)-.1 E F0(mo)144 252 Q .806 -.15(ve b)-.15 H .507
 (ack through the history list, inserting the last w).15 F .507
 (ord \(or the w)-.1 F .507(ord speci\214ed by the ar)-.1 F(gument)-.18 E
-1.396(to the \214rst call\) of each line in turn.)144 264 R(An)6.396 E
-3.896(yn)-.15 G 1.396(umeric ar)-3.896 F 1.397
-(gument supplied to these successi)-.18 F 1.697 -.15(ve c)-.25 H(alls)
-.15 E .492(determines the direction to mo)144 276 R .792 -.15(ve t)-.15
-H .492(hrough the history).15 F 5.491(.A)-.65 G(ne)-2.5 E -.05(ga)-.15 G
-(ti).05 E .791 -.15(ve a)-.25 H -.18(rg).15 G .491
+1.397(to the \214rst call\) of each line in turn.)144 264 R(An)6.396 E
+3.896(yn)-.15 G 1.396(umeric ar)-3.896 F 1.396
+(gument supplied to these successi)-.18 F 1.696 -.15(ve c)-.25 H(alls)
+.15 E .491(determines the direction to mo)144 276 R .791 -.15(ve t)-.15
+H .491(hrough the history).15 F 5.492(.A)-.65 G(ne)-2.5 E -.05(ga)-.15 G
+(ti).05 E .792 -.15(ve a)-.25 H -.18(rg).15 G .492
 (ument switches the direction).18 F .494
 (through the history \(back or forw)144 288 R 2.994(ard\). The)-.1 F
 .494(history e)2.994 F .494(xpansion f)-.15 F .494
 (acilities are used to e)-.1 F .494(xtract the last)-.15 F -.1(wo)144
 300 S(rd, as if the "!$" history e).1 E(xpansion had been speci\214ed.)
--.15 E F1(shell\255expand\255line \(M\255C\255e\))108 312 Q F0 .623
+-.15 E F1(shell\255expand\255line \(M\255C\255e\))108 312 Q F0 .622
 (Expand the line as the shell does.)144 324 R .622
-(This performs alias and history e)5.622 F .622
+(This performs alias and history e)5.622 F .623
 (xpansion as well as all of the)-.15 F(shell w)144 336 Q(ord e)-.1 E 2.5
 (xpansions. See)-.15 F/F3 9/Times-Bold@0 SF(HIST)2.5 E(OR)-.162 E 2.25
 (YE)-.315 G(XP)-2.25 E(ANSION)-.666 E F0(belo)2.25 E 2.5(wf)-.25 G
 (or a description of history e)-2.5 E(xpansion.)-.15 E F1
-(history\255expand\255line \(M\255^\))108 348 Q F0 .938
+(history\255expand\255line \(M\255^\))108 348 Q F0 .939
 (Perform history e)144 360 R .939(xpansion on the current line.)-.15 F
 (See)5.939 E F3(HIST)3.439 E(OR)-.162 E 3.189(YE)-.315 G(XP)-3.189 E
-(ANSION)-.666 E F0(belo)3.189 E 3.439(wf)-.25 G .939(or a descrip-)
--3.439 F(tion of history e)144 372 Q(xpansion.)-.15 E F1(magic\255space)
-108 384 Q F0 1.627(Perform history e)144 396 R 1.627
-(xpansion on the current line and insert a space.)-.15 F(See)6.626 E F3
-(HIST)4.126 E(OR)-.162 E 3.876(YE)-.315 G(XP)-3.876 E(ANSION)-.666 E F0
+(ANSION)-.666 E F0(belo)3.189 E 3.438(wf)-.25 G .938(or a descrip-)
+-3.438 F(tion of history e)144 372 Q(xpansion.)-.15 E F1(magic\255space)
+108 384 Q F0 1.626(Perform history e)144 396 R 1.626
+(xpansion on the current line and insert a space.)-.15 F(See)6.627 E F3
+(HIST)4.127 E(OR)-.162 E 3.877(YE)-.315 G(XP)-3.877 E(ANSION)-.666 E F0
 (belo)144 408 Q 2.5(wf)-.25 G(or a description of history e)-2.5 E
-(xpansion.)-.15 E F1(alias\255expand\255line)108 420 Q F0 .394
-(Perform alias e)144 432 R .394(xpansion on the current line.)-.15 F
-(See)5.395 E F3(ALIASES)2.895 E F0(abo)2.645 E .695 -.15(ve f)-.15 H
-.395(or a description of alias e).15 F(xpan-)-.15 E(sion.)144 444 Q F1
+(xpansion.)-.15 E F1(alias\255expand\255line)108 420 Q F0 .395
+(Perform alias e)144 432 R .395(xpansion on the current line.)-.15 F
+(See)5.395 E F3(ALIASES)2.895 E F0(abo)2.645 E .694 -.15(ve f)-.15 H
+.394(or a description of alias e).15 F(xpan-)-.15 E(sion.)144 444 Q F1
 (history\255and\255alias\255expand\255line)108 456 Q F0
 (Perform history and alias e)144 468 Q(xpansion on the current line.)
 -.15 E F1(insert\255last\255ar)108 480 Q(gument \(M\255.)-.1 E 2.5(,M)
 .833 G -1.667(\255_ \))-2.5 F F0 2.5(As)144 492 S(ynon)-2.5 E(ym for)
 -.15 E F1(yank\255last\255ar)2.5 E(g)-.1 E F0(.)A F1
-(operate\255and\255get\255next \(C\255o\))108 504 Q F0 .948
+(operate\255and\255get\255next \(C\255o\))108 504 Q F0 .947
 (Accept the current line for e)144 516 R -.15(xe)-.15 G .948
-(cution and fetch the ne).15 F .948(xt line relati)-.15 F 1.247 -.15
-(ve t)-.25 H 3.447(ot).15 G .947(he current line from the)-3.447 F .729
-(history for editing.)144 528 R 3.229(An)5.729 G .729(umeric ar)-3.229 F
+(cution and fetch the ne).15 F .948(xt line relati)-.15 F 1.248 -.15
+(ve t)-.25 H 3.448(ot).15 G .948(he current line from the)-3.448 F .73
+(history for editing.)144 528 R 3.23(An)5.73 G .73(umeric ar)-3.23 F
 .729
 (gument, if supplied, speci\214es the history entry to use instead of)
 -.18 F(the current line.)144 540 Q F1
